               job  Cheponis's loader revisited
     *
     * Uses 81-199 so that area has to be loaded by a different loader.
     *
     * Assumes the loader for this loader clears 0-99 as its last gasp.
     *
     * Format-- if cc 80 -- 0-7-8 then 1-5 -- branch to start and blank
     *          else cc 1-3 -- address of first character to be stored
     *               cc 4-80 -- data to be loaded
     *          0-5-8 means set word mark
     *
     x1        equ  89
     x2        equ  94
     *
               org  100
     start     sw   1              Prepare read area
     read      r
               bce  1,80,+         Check for end card -- 0-7-8    .1150
               mcw  3,x2           Else Pick up start address     .0575
               sbr  x1,3           Init source index              .1265
     load      cw   0&x2           Assume no WM wanted at dest    .1265
     set       sbr  x1,1&x1        Bump source                    .1725
               bce  setwm,0&x1,=   No data, just WM if 0-5-8      .1610
               mn   0&x1,0&x2      Move source to dest            .2070
               mz   0&x1,0&x2      Move source to dest            .2070
               bce  read,x1-1,8    Branch if cc 80 just moved     .1150
               sbr  x2,1&x2        Bump dest                      .1725
               b    load           Load another character         .0460
     setwm     sw   0&x2                                          .1265
               b    set                                           .0460
               dcw  #1             WM to end branch
               job  Cheponis's loader revisited -- different format
     *
     * Uses 81-199 so that area has to be loaded by a different loader.
     *
     * Assumes the loader for this loader clears 0-99 as its last gasp.
     *
     * Format-- cc 1-4 -- branch to ,,BACK,, or start of program
     *          cc 5-7 -- address of first character to be stored
     *          cc 8-82 -- data to be loaded (yes, 82)
     *          0-5-8 means set word mark
     *
               sfx  b
     x1        equ  89
     x2        equ  94
     *
               org  100
     start     sw   1,5            Prepare read area
     read      r    1
     back      sbr  x1             Init source column to 5        .0920
               mcw  7,x2           Pick up start address          .0575
     load      cw   0&x2           Assume no WM wanted at dest    .1265
     set       sbr  x1,1&x1        Bump source                    .1725
               bce  setwm,2&x1,=   No data, just WM if 0-5-8      .1610
               mn   2&x1,0&x2      Move source to dest            .2070
               mz   2&x1,0&x2      Move source to dest            .2070
               bce  read,x1-1,8    Branch if cc 82 just moved     .1150
               sbr  x2,1&x2        Bump dest                      .1725
               b    load           Load another character         .0460
     setwm     sw   0&x2                                          .1265
               b    set                                           .0460
               dcw  #1             WM to end branch
               job  Cheponis's loader -- different format with overlap
     *
     * Uses 81-280 so that area has to be loaded by a different loader.
     *
     * Assumes the loader for this loader clears 0-99 as its last gasp.
     *
     * Format-- cc 1-4 -- branch to ,,BACK,, or start of program
     *          cc 5-7 -- address of first character to be stored
     *          cc 8-80 -- data to be loaded
     *          0-5-8 means set word mark
     *
               sfx  v
     x1        equ  89
     x2        equ  94
     *
               org  100
     start     sw   1,5            Prepare read area
               r                   Read first card
               ss   $              Turn on overlap
     read      bin  read,h         Reader busy?
               lca  80,280         Load read area to print area
               b    1              Test for end of deck
     back      sbr  x1             Init source column to 5        .1265
               r                   Start reading next card
               mcw  207,x2         Pick up start address          .0575
     load      cw   0&x2           Assume no WM wanted at dest    .1265
     set       sbr  x1,1&x1        Bump source                    .1725
               bce  setwm,202&x1,=  No data, just WM if 0-5-8     .1610
               mn   202&x1,0&x2    Move source to dest            .2070
               mz   202&x1,0&x2    Move source to dest            .2070
               bce  read,x1-1,8    Branch if cc 82 just moved     .1150
               sbr  x2,1&x2        Bump dest                      .1725
               b    load           Load another character         .0460
     setwm     sw   0&x2                                          .1265
               b    set                                           .0460
               dc   #1             blank to end branch
               job  Entirely different
     *
     * Uses 81-199 so that area has to be loaded by a different loader.
     *
     * Format-- cc 1-3 -- last char on card if not / in cc 1
     *                    last char can't be WM char
     *          cc 6-8 -- last char in memory if not / in cc 1
     *          cc 1-7 -- clear storage and branch to program start
     *                    if / in cc 1
     *          cc 10-last -- chars to load if no / in cc 1
     *
               sfx  m
     x2        equ  94
     x3        equ  99
     *
               org  81 
     start     sw   1,80           prepare read area
               sbr  start&6          set word
               bw   read,10            marks in
               b    start                cc 10-80
     read      r
               bce  1,1,/          branch to program ?            .1150
               mcw  8,x3           get last source and dest addrs .2760
     load      bce  read,x2-1,0    just moved cc 9 -- i.e. done?  .1150
               bce  setwm,0&x2,=   set WM?                        .1610
               sbr  x2             decr source addr               .0920
               mcw  1&x2,0&x3      move source to dest            .2070
               sbr  x3             decr dest addr                 .0920
               b    load           do next char                   .0460
     setwm     sw   1&x3           set the wm                     .1265
               sbr  x2,15999&x2    decr source addr               .1725
               b    load           do next char                   .0460
     * Come here to load a bootstrap card for a different format loader,
     * using  cs more,80  in cc 1-8 of the entry card.
     more      sw   1
               r    1
               dcw  #1
               end  start
